<template>
  <div>
    <!-- <q-btn @click="saveContent()">Save</q-btn> -->
    <!-- <vue-editor v-model="content"></vue-editor> -->
<!--     <q-pull-to-refresh
    :handler="refresh"> -->

<div class="row">
    <div
    v-for="prompt in stockprompts"
    :key="prompt.title"
    style="width: 100%">
      <q-card>
        <q-card-title class="bg-light-blue-darken-1">
          {{ prompt.title }}
          <span slot="subtitle" class="text-white">{{ prompt.author }}</span>
        </q-card-title>
        <q-card-separator>
        </q-card-separator>
        <q-card-main class="">
          <div v-html="prompt.prompt"></div>
        </q-card-main>
      </q-card>
<!--       <div class="card bg-dark">
        <div class="card-title bg-dark text-teal">
          Some Story
        </div>
        <q-card-separator></q-card-separator>
        <div class="card-content">
          <div v-html="loremipsum"></div>
        </div>
      </div> -->
    </div>
</div>

    <!-- </q-pull-to-refresh> -->
  </div>
</template>
<script>
  import {
    QPullToRefresh,
    QCard,
    QCardTitle,
    QCardSeparator,
    QCardMain,
    QBtn
  } from 'quasar'
  import { VueEditor } from 'vue2-quill-editor'
  export default {
    components: {
      QPullToRefresh,
      QCard,
      QCardTitle,
      QCardSeparator,
      QBtn,
      QCardMain,
      VueEditor
    },
    created () {
      this.iters = []

      for (let i = 0; i < 100; i++) {
        this.iters.push(i)
      }
    },
    data () {
      return {
        content: '<h3>Initial Content</h3>',
        someContent: '<h1><strong><s><u>This is the title!</u></s></strong></h1><p>This is all the nonsense that I choose to write!</p>',
        loremipsum: 'Lorem ipsum dolor sit amet, per quod sententiae et, est cetero quaestio sententiae te, exerci semper volutpat id sed. No ius ferri liberavisse, odio dolore electram ex usu. No fuisset nominati mediocrem quo, cu eos labores alienum eligendi, eros solet commune ei vix. Pri an summo prompta. An nec veniam definiebas reprehendunt, lucilius sadipscing sea eu, te pro aliquam conclusionemque.',
        stockprompts: [
          {
            'author': 'Jess Zafarris',
            'title': 'Conspiracy!',
            'prompt': 'Take an event from history and write a fictional account describing a conspiracy theory about what “REALLY” happened. Or, if you prefer, write a scene about a character who believes in one or more conspiracy theories. Outlandish or realistic, recent or ancient—anything is fair game, but do please make it convincing. I want to believe.'
          },
          {
            'author': 'Jess Zafarris',
            'title': 'The Duality of Humankind',
            'prompt': 'There are two kinds of people in this world,” my companion slurred, pausing to take another artless swig. “Those who ______ and those who _______.'
          },
          {
            'author': 'Jess Zafarris',
            'title': 'Table for Two',
            'prompt': 'Craft a story or scene about two people—or other nonhuman characters, if you prefer—from very different backgrounds sharing a meal together. What do they learn about each other that they weren’t expecting?'
          },
          {
            'author': 'Jess Zafarris',
            'title': 'Symbolic Animals',
            'prompt': 'Write a story or a scene involving an animal that symbolizes something else. It can represent a concept, an experience, an emotion, a historical moment, or anything else you can think of.'
          },
          {
            'author': 'Jess Zafarris',
            'title': 'Conspiracy!',
            'prompt': 'Take an event from history and write a fictional account describing a conspiracy theory about what “REALLY” happened. Or, if you prefer, write a scene about a character who believes in one or more conspiracy theories. Outlandish or realistic, recent or ancient—anything is fair game, but do please make it convincing. I want to believe.'
          },
          {
            'author': 'Jess Zafarris',
            'title': 'Considering Absurdism',
            'prompt': 'Writing as yourself or through a character, discuss whether life has meaning and reason—or whether it’s as meaningless and nonsensical (i.e., absurd) as Albert Camus believed. Given your position, consider what people can do to find happiness in life.'
          }
        ]
      }
    },
    methods: {
      saveContent: function () {
        // You have the content to save
        console.log(this.content)
      },
      refresh: function () {
        console.log('refresh called')
      }
    }
  }
</script>
<style lang="stylus">
@import '~variables'

.textra2
  color #ff5252

.textga2
  color #69f0ae

.text-grey-lighten-1
  color #bdbdbd
</style>